# Enum Class Doclet.Option.Kind

java.lang.Object
java.lang.Enum<Doclet.Option.Kind>
jdk.javadoc.doclet.Doclet.Option.Kind

All Implemented Interfaces:
  `Serializable, Comparable<Doclet.Option.Kind>, Constable`

Enclosing interface:
  `Doclet.Option`

public static enum Doclet.Option.Kind extends Enum<Doclet.Option.Kind>
The kind of an option.

Since:
  9

- ## Nested Class Summary

  ### Nested classes/interfaces declared in class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `EXTENDED`
  An extended option, such as those prefixed with `-X`.
  `OTHER`
  An implementation-reserved option.
  `STANDARD`
  A standard option.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Doclet.Option.Kind`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Doclet.Option.Kind[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods declared in class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods declared in class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### EXTENDED

    public static final Doclet.Option.Kind EXTENDED
    An extended option, such as those prefixed with `-X`.

  - ### STANDARD

    public static final Doclet.Option.Kind STANDARD
    A standard option.

  - ### OTHER

    public static final Doclet.Option.Kind OTHER
    An implementation-reserved option.

- ## Method Details

  - ### values

    public static Doclet.Option.Kind[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Doclet.Option.Kind valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null